# $Id: smeserver-mnemo.spec,v 1.2 2010/11/07 03:26:29 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Mnemo configuration and templates.
%define name smeserver-mnemo
Name: %{name}
%define version 2.2
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-mnemo-2.2-mnemo-2.2.1.patch
Patch2: smeserver-mnemo-2.2.2.patch
Patch3: smeserver-mnemo-2.2.3.patch
Patch4: smeserver-mnemo-2.2.4.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.2
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: mnemo-h3 >= 2.2
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%changelog
* Sat Nov 06 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-5
- Update to smeserver-mnemo to reflect changes in mnemo 2.2.4

* Mon Dec 28 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-4
- Update to smeserver-mnemo to reflect changes in mnemo 2.2.3

* Sat Oct 10 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-3
- Update to smeserver-mnemo to reflect changes in mnemo 2.2.2

* Tue Sep 16 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-2
- Update to smeserver-mnemo to reflect changes in mnemo 2.2.1

* Wed Jun 18 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1    
- Initial production build
- Jump in package name to reflect new version of Mnemo

* Sat May 24 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.2-1
- Updated to include changes in Mnemo 2.2 RC3
- Re-rolled tarball

* Sun Apr 6 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-1
- Initial build
- Jump in package name to reflect new version of Mnemo

%description
This package adds necessary templates and configuration items
so that Mnemo will work properly on SME Server

%prep
%setup

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
